{
  "type": "minecraft:block",
  "pools": [
    {
      "bonus_rolls": 0,
      "conditions": [
        {
          "condition": "minecraft:survives_explosion"
        }
      ],
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:brown_mushroom",
          "weight": 50,
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:consumable": {
                  "sound": "minecraft:entity.generic.eat"
                },
                "minecraft:food": {
                  "nutrition": 1,
                  "saturation": 0
                }
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:brown_mushroom",
          "weight": 25,
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:food": {
                  "nutrition": 2,
                  "saturation": 0
                },
                "minecraft:consumable": {
                  "sound": "minecraft:entity.generic.eat",
                  "on_consume_effects": [
                    {
                      "type": "minecraft:apply_effects",
                      "effects": [
                        {
                          "id": "minecraft:hunger",
                          "duration": 800
                        }
                      ]
                    }
                  ]
                },
                "minecraft:item_name": {
                  "text": "Auburn Mushroom",
                  "color": "white"
                }
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:brown_mushroom",
          "weight": 20,
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:food": {
                  "nutrition": 1,
                  "saturation": 1
                },
                "minecraft:consumable": {
                  "sound": "minecraft:entity.generic.eat",
                  "on_consume_effects": [
                    {
                      "type": "minecraft:apply_effects",
                      "effects": [
                        {
                          "id": "minecraft:blindness",
                          "duration": 2400
                        },
                        {
                          "id": "minecraft:hunger",
                          "duration": 300
                        }
                      ]
                    }
                  ]
                },
                "minecraft:item_name": {
                  "text": "Taupe Mushroom",
                  "color": "white"
                }
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:brown_mushroom",
          "weight": 15,
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:food": {
                  "nutrition": 1,
                  "saturation": 0
                },
                "minecraft:consumable": {
                  "sound": "minecraft:entity.generic.eat",
                  "on_consume_effects": [
                    {
                      "type": "minecraft:apply_effects",
                      "effects": [
                        {
                          "id": "minecraft:poison",
                          "duration": 250
                        }
                      ]
                    }
                  ]
                },
                "minecraft:item_name": {
                  "text": "Beige Mushroom",
                  "color": "white"
                }
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:brown_mushroom",
          "weight": 20,
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:food": {
                  "nutrition": 4,
                  "saturation": 1
                },
                "custom_data": {
                  "IsBistreMushroom": true
                },
                "minecraft:item_name": {
                  "text": "Bistre Mushroom",
                  "color": "white"
                }
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:brown_mushroom",
          "weight": 5,
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:food": {
                  "nutrition": 3,
                  "saturation": 1
                },
                "minecraft:consumable": {
                  "sound": "minecraft:entity.generic.eat",
                  "on_consume_effects": []
                },
                "minecraft:item_name": {
                  "text": "Bisque Mushroom",
                  "color": "white"
                }
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:brown_mushroom",
          "weight": 18,
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:food": {
                  "nutrition": 2,
                  "saturation": 0
                },
                "minecraft:consumable": {
                  "sound": "minecraft:entity.generic.eat",
                  "on_consume_effects": [
                    {
                      "type": "minecraft:apply_effects",
                      "effects": [
                        {
                          "id": "minecraft:weakness"
                        },
                        {
                          "id": "minecraft:slowness",
                          "duration": 1200
                        }
                      ]
                    }
                  ]
                },
                "minecraft:item_name": {
                  "text": "Khaki Mushroom",
                  "color": "white"
                }
              }
            }
          ]
        }
      ],
      "rolls": 1
    }
  ],
  "random_sequence": "minecraft:blocks/brown_mushroom"
}